I am not sure if you are working on bumping xen-sources to 2.6.16.14, if you
are then please pardon the noise.
below is my patch against xen-sources-2.6.16-r1.ebuild. I removed
EXTRAVERSION=".${KV_EXTRA}-xen" because it doesn't do anything and `uname -r`
shows the version correctly without it. ie. 2.6.16.14-xen. I have this running
couple days without any problem. YMMV ;)
--- xen-sources-2.6.16-r1.ebuild 2006-05-15 22:25:51.000000000 -0700
+++ xen-sources-2.6.16-r2.ebuild 2006-05-15 22:26:15.000000000 -0700
@@ -6,10 +6,9 @@
inherit kernel-2 eutils
detect_arch
detect_version
+K_PATCHES_VER="14"
[ "${PR}" == "r0" ] && KV=${PV/_/-}-xen || KV=${PV/_/-}-xen-${PR}
-EXTRAVERSION=".${KV_EXTRA}-xen"
-
DESCRIPTION="Full sources for a dom0/domU Linux kernel to run under Xen"
HOMEPAGE="http://www.cl.cam.ac.uk/Research/SRG/netos/xen/index.html"
#REV="8738"
@@ -17,7 +16,7 @@
XEN_VERSION="3.0.2"
MY_P="xen-${XEN_VERSION}"
#SRC_URI="${KERNEL_URI} mirror://gentoo/${MY_P}.tar.bz2"
-SRC_URI="${KERNEL_URI}
http://www.cl.cam.ac.uk/Research/SRG/netos/xen/downloads/xen-${XEN_VERSION}-src.tgz"
+SRC_URI="${KERNEL_URI}
mirror://kernel/linux/kernel/v${KV_MAJOR}.${KV_MINOR}/patch-${PV}.${K_PATCHES_VER}.bz2
http://www.cl.cam.ac.uk/Research/SRG/netos/xen/downloads/xen-${XEN_VERSION}-src.tgz"
KEYWORDS="~x86 ~amd64"
DEPEND="~app-emulation/xen-${XEN_VERSION}"
@@ -27,6 +26,8 @@
src_unpack() {
unpack ${A}
cd ${MY_P}
+ mv "${WORKDIR}"/patch-${PV}.${K_PATCHES_VER}
patches/linux-${PV}/linux-${PV}.${K_PATCHES_VER}.patch \
+ || die "failed to mv ${WORKDIR}/patch-${PV}.${K_PATCHES_VER}"
sed -e 's:relative_lndir \([^(].*\):cp -dpPR \1/* .:' \
-i linux-2.6-xen-sparse/mkbuildtree || die
make LINUX_SRC_PATH=${DISTDIR} -f buildconfigs/mk.linux-2.6-xen \